cURL
curl --request PUT \
--url https://api.gptmaker.ai/v2/agent/{agentId}/transfer-rules/{transfer-rule-id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instructions": "<string>",
"returnOnFinish": true,
"agentId": "<string>",
"userId": "<string>"
}
'import requests
url = "https://api.gptmaker.ai/v2/agent/{agentId}/transfer-rules/{transfer-rule-id}"
payload = {
"instructions": "<string>",
"returnOnFinish": True,
"agentId": "<string>",
"userId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
instructions: '<string>',
returnOnFinish: true,
agentId: '<string>',
userId: '<string>'
})
};
fetch('https://api.gptmaker.ai/v2/agent/{agentId}/transfer-rules/{transfer-rule-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "<string>",
"instructions": "<string>",
"returnOnFinish": true,
"agentId": "<string>",
"userId": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Regras de transferência
Atualizar regra
Atualiza uma regra de transferência existente
PUT
/
v2
/
agent
/
{agentId}
/
transfer-rules
/
{transfer-rule-id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID do agente
ID da regra de transferência
Body
application/json
Dados da regra de transferência a ser atualizada
Instruções visíveis na transferência
Define se deve retornar ao assistente após o atendimento
Available options:
HUMAN, AGENT Id do agente de destino (se aplicável)
Id do usuário de destino (se aplicável)
Response
Regra de transferência atualizada com sucesso
Id da regra
Data de criação da regra de transferência
Instruções visíveis na transferência
Define se deve retornar ao assistente após o atendimento
Available options:
HUMAN, AGENT Id do agente de destino (se aplicável)
Id do usuário de destino (se aplicável)
⌘I

